View Issue Details

IDProjectCategoryView StatusLast Update
0000511luatexfeature requestpublic2010-12-13 14:43
ReporterKhaled HosnyAssigned ToTaco 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version0.65.0 
Summary0000511: Return fontforge warning with fontloader.apply_featutrefile()
DescriptionFeature files can be invalid and it will be silently ignored, it would be better if the fontforge warning were returned, semiliar to fontloader.open(). That would apply to apply_afmfile() too.
So, one can do:

w = fontloader.apply_featurefile(f, "foo.fea")
if w then
  -- loading failed
else
  -- loading succeded
end
TagsNo tags attached.

Activities

Taco

2010-11-29 15:16

administrator   ~0000696

implemented exactly like this in commit 4011

Issue History

Date Modified Username Field Change
2010-11-11 16:58 Khaled Hosny New Issue
2010-11-29 15:05 Taco Status new => assigned
2010-11-29 15:05 Taco Assigned To => Taco
2010-11-29 15:16 Taco Note Added: 0000696
2010-11-29 15:16 Taco Status assigned => resolved
2010-11-29 15:16 Taco Resolution open => fixed
2010-12-13 14:43 Taco Fixed in Version => 0.65.0
2010-12-13 14:43 Taco Status resolved => closed